Debian Bug report logs - #388856
please make list in description render nicely in aptitude

version graph

Package: devscripts; Maintainer for devscripts is Devscripts Devel Team <devscripts-devel@lists.alioth.debian.org>; Source for devscripts is src:devscripts.

Reported by: Tomas Pospisek <tpo_deb@sourcepole.ch>

Date: Sat, 23 Sep 2006 00:03:07 UTC

Severity: wishlist

Tags: patch

Found in version devscripts/2.9.21

Fixed in version devscripts/2.9.22

Done: Julian Gilbey <jdg@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Julian Gilbey <jdg@debian.org>:
Bug#388856; Package devscripts. Full text and rfc822 format available.

Acknowledgement sent to Tomas Pospisek <tpo_deb@sourcepole.ch>:
New Bug report received and forwarded. Copy sent to Julian Gilbey <jdg@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tomas Pospisek <tpo_deb@sourcepole.ch>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: please make list in description render nicely in aptitude
Date: Sat, 23 Sep 2006 01:06:20 +0200
[Message part 1 (text/plain, inline)]
Package: devscripts
Version: 2.9.21
Severity: wishlist
Tags: patch

The attached patch lets aptitude detect and render nicely the list in
the description. Please see [1] for the rationale. Patch is attached.

Thanks,
*t

[1] http://wiki.debian.org/Aptitude::Parse-Description-Bullets=true

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable'), (50, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages devscripts depends on:
hi  debianutils                  2.17        Miscellaneous utilities specific t
ii  dpkg-dev                     1.13.22     package building tools for Debian
ii  libc6                        2.3.6.ds1-4 GNU C Library: Shared libraries
ii  perl                         5.8.8-6.1   Larry Wall's Practical Extraction 
hi  sed                          4.1.5-1     The GNU sed stream editor

Versions of packages devscripts recommends:
ii  fakeroot                      1.5.10     Gives a fake root environment

-- no debconf information
[diff (text/plain, attachment)]

Tags added: pending Request was from Julian Gilbey <jdg@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Julian Gilbey <jdg@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tomas Pospisek <tpo_deb@sourcepole.ch>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 388856-close@bugs.debian.org (full text, mbox):

From: Julian Gilbey <jdg@debian.org>
To: 388856-close@bugs.debian.org
Subject: Bug#388856: fixed in devscripts 2.9.22
Date: Wed, 11 Oct 2006 14:32:45 -0700
Source: devscripts
Source-Version: 2.9.22

We believe that the bug you reported is fixed in the latest version of
devscripts, which is due to be installed in the Debian FTP archive:

devscripts_2.9.22.dsc
  to pool/main/d/devscripts/devscripts_2.9.22.dsc
devscripts_2.9.22.tar.gz
  to pool/main/d/devscripts/devscripts_2.9.22.tar.gz
devscripts_2.9.22_i386.deb
  to pool/main/d/devscripts/devscripts_2.9.22_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 388856@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julian Gilbey <jdg@debian.org> (supplier of updated devscripts package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 11 Oct 2006 20:16:02 +0100
Source: devscripts
Binary: devscripts
Architecture: source i386
Version: 2.9.22
Distribution: unstable
Urgency: low
Maintainer: Julian Gilbey <jdg@debian.org>
Changed-By: Julian Gilbey <jdg@debian.org>
Description: 
 devscripts - Scripts to make the life of a Debian Package maintainer easier
Closes: 388856 389482
Changes: 
 devscripts (2.9.22) unstable; urgency=low
 .
   [ Julian Gilbey ]
   * Makefile: remove -ldl flag in libvfork linker line (from checklib
     output, see http://rerun.lefant.net/checklib)
   * control: make list render nicely with new aptitude list-handling
     facility (Closes: #388856)
   * bts: documentation for show usertag=...: s/user=/users=/
   * checkbashisms: make reasons for concern explicit, and show whole line
     of original script, not just matched fragment
   * dget: support ~ in package version numbers (Closes: #389482)
   * rmadison: make curl quiet (important when piping the output of
     rmadison)
   * who-uploads: don't bother with iconv -t option; it's the default
     behaviour anyway (see Bug#384835)
 .
   [ Joshua Kwan ]
   * Remove myself from Uploaders. -ENOTIME :(
Files: 
 ba6763600bf3356b67d21247e7375f83 654 devel optional devscripts_2.9.22.dsc
 3ce4908edfc2c63aafc961d9723b9488 363777 devel optional devscripts_2.9.22.tar.gz
 53a62db2fe98e2c0e2bc2d0ad98672b1 339130 devel optional devscripts_2.9.22_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFLUSsDU59w/205FkRAjssAKCFrCGzk2TTXFOWk4XLkYrGwllF0gCgoraF
P7GEo3dT9qOBt8L2YmtGPAE=
=R766
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 00:02:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:14:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.